Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.portlet.state
Enum AccessMode

    java.lang.Object
      java.lang.Enum<AccessMode>
          org.jboss.portal.portlet.state.AccessMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AccessMode>

    public enum AccessMode

extends java.lang.Enum<AccessMode>

Type safe enumeration for the access mode to a portlet.

Version:
  $Revision: 5776 $
Author:
  Julien Viet

Enum Constant Summary
`CLONE_BEFORE_WRITE` Clone before write access mode.
`READ_ONLY` Read only access mode.
`READ_WRITE` Read write access mode.

Method Summary
`java.lang.String` | `toString()`
`static AccessMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AccessMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ_ONLY

    public static final AccessMode READ_ONLY

  Read only access mode.

### READ_WRITE

    public static final AccessMode READ_WRITE

  Read write access mode.

### CLONE_BEFORE_WRITE

    public static final AccessMode CLONE_BEFORE_WRITE

  Clone before write access mode.

Method Detail

### values

    public static final AccessMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AccessMode c : AccessMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AccessMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<AccessMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.